class dpm::params {
  $configure_vos = hiera('dpm::params::configure_vos', true)
  $configure_gridmap = hiera('dpm::params::configure_gridmap', true)
  $configure_bdii = hiera('dpm::params::configure_bdii', true)
  $configure_star = hiera('dpm::params::configure_star', false)
  $configure_default_pool = hiera('dpm::params::configure_default_pool',false)
  $configure_default_filesystem = hiera('dpm::params::configure_default_filesystem',false)
  $configure_repos = hiera('dpm::params::configure_repos', false)
  $configure_dome = hiera('dpm::params::configure_dome', false)
  $configure_domeadapter = hiera('dpm::params::configure_domeadapter', false)
  $configure_mountpoints = hiera('dpm::params::configure_mountpoints', true)
  #cluster options
  $headnode_fqdn = hiera('dpm::params::headnode_fqdn', $::fqdn)
  $disk_nodes = hiera('dpm::params::disk_nodes',[])
  $localdomain = hiera('dpm::params::localdomain',undef)
  $webdav_enabled = hiera('dpm::params::webdav_enabled',true)
  $memcached_enabled = hiera('dpm::params::memcached_enabled',true)
  $local_db = hiera('dpm::params::local_db',true)
  $gridftp_redirect = hiera('dpm::params::gridftp_redirect',true)

  #install and configure legacy stask
  $configure_legacy = hiera('dpm::params::configure_legacy',true)

  #mountpoints list( for disknode mountpoint conf)
  $mountpoints = hiera('dpm::params::mountpoints',[])

  #mysql options 
  if versioncmp($facts['os']['release']['major'], '7') <= 0 {
    $mysql_override_options = hiera ('dpm::params::mysql_override_options', {
        'mysqld' => {
            'max_connections'    => '1000',
            'query_cache_size'   => '256M',
            'query_cache_limit'  => '1MB',
            'innodb_flush_method' => 'O_DIRECT',
            'innodb_buffer_pool_size' => '1000000000',
            'bind-address' => '0.0.0.0',
            'innodb_flush_log_at_trx_commit' => '2',
            'innodb_doublewrite' => '0',
            'innodb_support_xa' => '0',
            'innodb_thread_concurrency' => '8',
            'innodb_log_buffer_size' => '8M',
            'max_connect_errors' => '4294967295'
          }
        })
  } else {
    # MariaDB on CentOS8 no longer accepts 'innodb_support_xa' configuration option
    $mysql_override_options = hiera ('dpm::params::mysql_override_options', {
        'mysqld' => {
            'max_connections'    => '1000',
            'query_cache_size'   => '256M',
            'query_cache_limit'  => '1MB',
            'innodb_flush_method' => 'O_DIRECT',
            'innodb_buffer_pool_size' => '1000000000',
            'bind-address' => '0.0.0.0',
            'innodb_flush_log_at_trx_commit' => '2',
            'innodb_doublewrite' => '0',
            'innodb_thread_concurrency' => '8',
            'innodb_log_buffer_size' => '8M',
            'max_connect_errors' => '4294967295'
          }
        })
  }

  #dpmmgr user options
  $dpmmgr_uid = hiera('dpm::params::dpmmgr_uid',151)
  $dpmmgr_gid = hiera('dpm::params::dpmmgr_gid',151)
  $dpmmgr_user = hiera('dpm::params::dpmmgr_user','dpmmgr')

  #DB/Auth options
  $db_user = hiera('dpm::params::db_user','dpmmgr')
  $db_pass = hiera('dpm::params::db_pass',undef)
  $db_host = hiera('dpm::params::db_host','localhost')
  $db_port = hiera('dpm::params::db_port',3306)
  $db_manage = hiera('dpm::params::db_manage',true)
  $dpm_db  = hiera('dpm::params::dpm_db','dpm_db')
  $ns_db   = hiera('dpm::params::ns_db','cns_db')
  $mysql_root_pass = hiera('dpm::params::mysql_root_pass',undef)
  $token_password = hiera('dpm::params::token_password',undef)
  $token_id = hiera('dpm::params::token_id','ip')
  $xrootd_sharedkey = hiera('dpm::params::xrootd_sharedkey',undef)
  $xrootd_use_voms = hiera('dpm::params::xrootd_use_voms',true)
  $http_macaroon_secret = hiera('dpm::params::http_macaroon_secret',undef)

  $oidc_clientid      = hiera('dpm::params::oidc_clientid',undef)
  $oidc_clientsecret  = hiera('dpm::params::oidc_clientsecret',undef)
  $oidc_passphrase    = hiera('dpm::params::oidc_passphrase',undef)
  $oidc_allowissuer   = hiera('dpm::params::oidc_allowissuer',[])
  $oidc_allowaudience = hiera('dpm::params::oidc_allowaudience',[])

  $argus_banning = hiera('dpm::params::argus_banning', undef)

  #VOs parameters
  $volist = hiera('dpm::params::volist',[])
  $groupmap = hiera('dpm::params::groupmap',{
      'vomss://voms2.hellasgrid.gr:8443/voms/dteam?/dteam'                 => 'dteam',
  })
  $localmap = hiera('dpm::params::localmap',{})
  #Debug Flag
  $debug = hiera('dpm::params::debug',false)

  #xrootd checksum
  $configure_dpm_xrootd_checksum = hiera('dpm::params::configure_dpm_xrootd_checksum',true)

  #Xrootd TPC x509 delegation
  $configure_dpm_xrootd_delegation = hiera('dpm::params::configure_dpm_xrootd_delegation',true)
  #Xrootd Federations
  $dpm_xrootd_fedredirs = hiera('dpm::params::dpm_xrootd_fedredirs',{})

  #Xrootd Monitoring
  $xrd_report = hiera('dpm::params::xrd_report',undef)
  $xrootd_monitor = hiera('dpm::params::xrootd_monitor',undef)
  $xrootd_async = hiera('dpm::params::xrootd_async','on')

  #xrootd tuning
  $xrd_timeout = hiera('dpm::params::xrd_timeout',undef)
  $xrootd_jemalloc = hiera('dpm::params::jemalloc',true)
  $xrootd_sec_level = hiera('dpm::params::xrootd_sec_level',undef)
  $xrootd_tpc_options = hiera('dpm::params::xrootd_tpc_options','xfr 25')

  #xrootd TLS configuration
  $xrootd_tls = hiera('dpm::params::xrootd_tls',undef)
  $xrootd_tls_cert = hiera('dpm::params::xrootd_tls_cert',undef)
  $xrootd_tls_key = hiera('dpm::params::xrootd_tls_key',undef)
  $xrootd_tls_cafile = hiera('dpm::params::xrootd_tls_cafile',undef)
  $xrootd_tls_capath = hiera('dpm::params::xrootd_tls_capath',undef)
  $xrootd_tls_caopts = hiera('dpm::params::xrootd_tls_caopts',undef)
  $xrootd_tls_ciphers = hiera('dpm::params::xrootd_tls_ciphers','HIGH:!aNULL:!MD5')
  $xrootd_tls_reuse = hiera('dpm::params::xrootd_tls_reuse',undef)

  $site_name = hiera('dpm::params::site_name',undef)

  $new_installation = hiera('dpm::params::new_installation',true)

  #admin dn( needed for http replication/drain)
  $admin_dn = hiera('dpm::params::admin_dn', '')
  #host dn
  $host_dn = hiera('dpm::params::host_dn', '')
  #pools and filesystems
  $pools = hiera('dpm::params::pools',[])
  $filesystems = hiera('dpm::params::filesystems',[])

  #repos
  $repos = hiera('dpm::params::repos', {
    'epel' => {
      'descr'    => 'Extra Packages for Enterprise Linux add-ons',
      'baseurl'  => "http://linuxsoft.cern.ch/epel/${facts['os']['release']['major']}/\$basearch",
      'gpgcheck' => 0,
      'enabled'  => 1,
      'protect'  => 1,
    },
    'EGI-trustanchors' => {
      'descr'    => 'EGI-trustanchors',
      'baseurl'  => 'http://repository.egi.eu/sw/production/cas/1/current/',
      'gpgcheck' => 0,
      'enabled'  => 1,
    },
    'wlcg' => {
      'descr'    => 'WLCG Repository',
      'baseurl'  => "http://linuxsoft.cern.ch/wlcg/sl6/\$basearch",
      'protect'  => 1,
      'enabled'  => 1,
      'priority' => 20,
      'gpgcheck' => 0,
    }
  })
}
